Get card transaction | Moov Documentation

Get card transaction

Retrieves details of an issued card transaction associated with a specific Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/issued-cards.read scope.

GET

/issuing/{accountID}/card-transactions/{cardTransactionID}

Ask

curl -X GET "https://api.moov.io/issuing/{accountID}/card-transactions/{cardTransactionID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.issuingTransactions.get({
    accountID: "b2b6e23c-a5aa-46a9-adb7-d12876e47288",
    cardTransactionID: "d5a1aab9-eb96-409a-ab95-88ac99cf00a5",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->transactions->get(
    accountID: 'b2b6e23c-a5aa-46a9-adb7-d12876e47288',
    cardTransactionID: 'd5a1aab9-eb96-409a-ab95-88ac99cf00a5'
);

if ($response->issuedCardTransaction !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetIssuedCardTransactionResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetIssuedCardTransactionResponse res = sdk.issuingTransactions().get()
                .accountID("b2b6e23c-a5aa-46a9-adb7-d12876e47288")
                .cardTransactionID("d5a1aab9-eb96-409a-ab95-88ac99cf00a5")
                .call();

if (res.issuedCardTransaction().isPresent()) {
            System.out.println(res.issuedCardTransaction().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.issuing_transactions.get(account_id="b2b6e23c-a5aa-46a9-adb7-d12876e47288", card_transaction_id="d5a1aab9-eb96-409a-ab95-88ac99cf00a5")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.issuing_transactions.get(account_id: 'b2b6e23c-a5aa-46a9-adb7-d12876e47288', card_transaction_id: 'd5a1aab9-eb96-409a-ab95-88ac99cf00a5')

unless res.issued_card_transaction.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.IssuingTransactions.GetAsync(
    accountID: "b2b6e23c-a5aa-46a9-adb7-d12876e47288",
    cardTransactionID: "d5a1aab9-eb96-409a-ab95-88ac99cf00a5"
);

// handle response

The request completed successfully.

Example

{
  "cardTransactionID": "string",
  "issuedCardID": "string",
  "fundingWalletID": "string",
  "amount": "-14.89",
  "authorizationID": "string",
  "authorizedOn": "2019-08-24T14:15:22Z",
  "merchantData": {
    "networkID": "string",
    "name": "Whole Body Fitness",
    "city": "San Francisco",
    "country": "US",
    "postalCode": "94107",
    "state": "CA",
    "mcc": "7298"
  },
  "createdOn": "2019-08-24T14:15:22Z"
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

The Moov business account for which cards have been issued.

A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99.

Show child attributes

Two-letter country code.

The Merchant Category Code.

External identifier used to identify the merchant with the card brand.

The merchant's location.

Name of the merchant.

The merchant's five-digit postal code.

The merchant's two-letter state abbreviation.